[build] yarn bundle:meta builds and uploads all packages
Some changes to our build infra to create a Meta bundle containing all packages. Needs corresponding changes in the internal upgrade commands
Lauren Tan committed
Jun 15, 2023 at 12:52 UTC
b6c1ca97183f482518d3ef596d1fda55a566e4b0
4 files changed
+8
-8
compiler/forget/package.json
+2
@@ -9,6 +9,8 @@
9
"url": "git+https://github.com/facebook/react-forget.git"
10
},
11
"scripts": {
12
+ "bundle:meta": "scripts/bundle-meta.sh",
13
+ "hash": "scripts/hash.sh",
14
"start": "yarn workspace playground run start",
15
"next": "yarn workspace playground run dev",
16
"build": "yarn workspaces run build",
compiler/forget/packages/babel-plugin-react-forget/package.json
-2
@@ -9,8 +9,6 @@
9
],
10
"scripts": {
11
"build": "rimraf dist && tsc",
12
- "bundle:meta": "scripts/bundle-meta.sh",
13
- "hash": "scripts/hash-dist.sh",
12
"test": "yarn jest && yarn snap:build && yarn snap",
13
"jest": "tsc && jest",
14
"snap": "node ../snap/dist/main.js",
compiler/forget/packages/babel-plugin-react-forget/scripts/hash-dist.sh
deleted
-6
@@ -1,6 +0,0 @@
1
-#!/usr/bin/env bash
2
-set -eo pipefail
3
-
4
-# Hashes JS files in the dist directory to create a cache-breaker
5
-
6
-find dist -name '*.js' | sort | xargs shasum | shasum | awk '{ print $1 }' > dist/HASH
compiler/forget/scripts/hash.sh
new
+6
@@ -0,0 +1,6 @@
1
+#!/usr/bin/env bash
2
+set -eo pipefail
3
+
4
+# Hashes JS files in the provided directory to create a cache-breaker
5
+
6
+find $1 -name '*.js' | sort | xargs shasum | shasum | awk '{ print $1 }'